Robotics Service Bus - Bug #2164

ParticipantConfig.{copy,hashCode,equals} do not take into account introspectionEnabled member

variable
01/29/2015 07:42 PM - J. Moringen

Status: Resolved Start date: 01/29/2015
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: Java Estimated time: 0.00 hour
Target version: rsb-0.11

Description

I'm not a Java expert, but | think the ParticipantConfig.{copy,hashCode,equals} methods should take into account the recently added
introspectionEnabled member variable. Please reject the issue, if | misunderstood something.

Associated revisions

Revision ff4bac9e - 02/13/2015 06:28 PM - J. Wienke

Include introspection in ParticipantConfig equals and hashCode

fixes #2164

Revision d2121801 - 02/13/2015 06:28 PM - J. Wienke

Include introspection in ParticipantConfig equals and hashCode

fixes #2164

(cherry picked from commit ff4bac9e1b9ecddcf192be688803d8f0bf7116b3)

History

#1 - 02/13/2015 06:20 PM - J. Wienke
- Status changed from New to In Progress

- Assignee changed from S. Wrede to J. Wienke

#2 - 02/13/2015 06:28 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:rsb-javalff4bac9e1b9ecddcf192be688803d8f0bf7116b3.
